package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Mapper;
import cn.pluss.platform.entity.MemberSetting;

@Mapper
public interface MemberSettingMapper {

    public MemberSetting queryMemberSetting(MemberSetting memberSetting);

    public List<MemberSetting> queryMemberSettingList(MemberSetting memberSetting);

    public void saveMemberSetting(MemberSetting memberSetting);

    public void updateMemberSetting(MemberSetting memberSetting);

    public void deleteMemberSetting(MemberSetting memberSetting);

    public List<MemberSetting> queryMemberSettingPage(Map map);

    public Integer queryMemberSettingPageCount(Map map);

    public void saveMemberSettingBatch(List<MemberSetting>  memberSettingList);
}

